Subject: linux-next: build failure after merge of the modules tree

From: Mark Brown <[email-masked]>
Date: Tue, 1 Dec 2015 20:23:12 +0000

Hi Rusty,

After merging the modules tree, today's linux-next x86 allmodconfig build (20151201) failed like this:

/home/broonie/next/next/arch/x86/kernel/livepatch.c: In function 'klp_write_module_reloc':
/home/broonie/next/next/arch/x86/kernel/livepatch.c:75:22: error: 'struct module' has no member named 'core_ro_size'
  if (loc < core + mod->core_ro_size)
                      ^
/home/broonie/next/next/scripts/Makefile.build:258: recipe for target 'arch/x86/kernel/livepatch.o' failed
make[3]: *** [arch/x86/kernel/livepatch.o] Error 1

I've used the modules tree from the previous -next (which looks to be what's in Linus' tree already) instead. Or at least I'll try to, it looks like I had a bit of driver error with the scripts here...